Argus Camera Sample Argus Camera Sample

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Private Attributes
ArgusSamples::GalleryItemImage Class Reference

A gallery image. More...

Inheritance diagram for ArgusSamples::GalleryItemImage:

List of all members.

## Public Member Functions
| GalleryItemImage (const char *fileName, time_t modTime)
virtual | ~GalleryItemImage ()
size_t | getWidth () const
size_t | getHeight () const
const uint8_t * | getData () const
GalleryItem methods
virtual Type | getType () const
| Get the item type.
virtual bool | initialize ()
| Initialize.
virtual bool | shutdown ()
| shutdown
Public Member Functions inherited from ArgusSamples::GalleryItem
| GalleryItem (const char *fileName, time_t modTime)
virtual | ~GalleryItem ()
virtual bool | startDisplay ()
| Start the display.
virtual bool | pauseDisplay ()
| Pause the display.
virtual bool | togglePlayBack ()
| Toggle playback.
virtual bool | rewind ()
| Rewind.
const std::string & | getFileName () const
| Get the file name.

## Private Attributes
size_t | m_width
size_t | m_height
std::vector< uint8_t > | m_data

## Additional Inherited Members
Public Types inherited from ArgusSamples::GalleryItem
enum | Type { TYPE_IMAGE, TYPE_VIDEO, TYPE_INVALID }
| item types More...
Protected Member Functions inherited from ArgusSamples::GalleryItem
| GalleryItem ()
Protected Attributes inherited from ArgusSamples::GalleryItem
std::string | m_fileName
time_t | m_modTime

## Detailed Description

A gallery image.

Can load JPEG images. Holds image data in CPU memory.

Definition at line 170 of file Gallery.cpp.

## Constructor & Destructor Documentation

ArgusSamples::GalleryItemImage::GalleryItemImage | ( | const char * | fileName,
|  | time_t | modTime
| ) |  |
| inline

Definition at line 173 of file Gallery.cpp.

virtual ArgusSamples::GalleryItemImage::~GalleryItemImage | ( |  | ) |
| inline virtual

Definition at line 180 of file Gallery.cpp.

## Member Function Documentation

const uint8_t* ArgusSamples::GalleryItemImage::getData | ( |  | ) | const
| inline

Definition at line 205 of file Gallery.cpp.

size_t ArgusSamples::GalleryItemImage::getHeight | ( |  | ) | const
| inline

Definition at line 200 of file Gallery.cpp.

virtual Type ArgusSamples::GalleryItemImage::getType | ( |  | ) | const
| inline virtual

Get the item type.

Implements ArgusSamples::GalleryItem.

Definition at line 187 of file Gallery.cpp.

size_t ArgusSamples::GalleryItemImage::getWidth | ( |  | ) | const
| inline

Definition at line 195 of file Gallery.cpp.

bool ArgusSamples::GalleryItemImage::initialize | ( |  | ) |
| virtual

Initialize.

Implements ArgusSamples::GalleryItem.

Definition at line 216 of file Gallery.cpp.

bool ArgusSamples::GalleryItemImage::shutdown | ( |  | ) |
| virtual

shutdown

Implements ArgusSamples::GalleryItem.

Definition at line 282 of file Gallery.cpp.

## Member Data Documentation

std::vector<uint8_t> ArgusSamples::GalleryItemImage::m_data
| private

Definition at line 213 of file Gallery.cpp.

size_t ArgusSamples::GalleryItemImage::m_height
| private

Definition at line 212 of file Gallery.cpp.

size_t ArgusSamples::GalleryItemImage::m_width
| private

Definition at line 211 of file Gallery.cpp.

The documentation for this class was generated from the following file:

- modules/tasks/Gallery.cpp